ZenLib

Public Attributes | List of all members
_HTTP_CREDENTIALS Struct Reference

`#include <HTTPClient.h>`

## Public Attributes
CHAR | CredUser [HTTP_CLIENT_MAX_USERNAME_LENGTH]
CHAR | CredPassword [HTTP_CLIENT_MAX_PASSWORD_LENGTH]
CHAR | AuthSchemaName [16]
HTTP_AUTH_SCHEMA | CredAuthSchema
BOOL | Authentication

## Member Data Documentation

## ◆ Authentication

BOOL _HTTP_CREDENTIALS::Authentication

## ◆ AuthSchemaName

CHAR _HTTP_CREDENTIALS::AuthSchemaName[16]

## ◆ CredAuthSchema

HTTP_AUTH_SCHEMA _HTTP_CREDENTIALS::CredAuthSchema

## ◆ CredPassword

CHAR _HTTP_CREDENTIALS::CredPassword[HTTP_CLIENT_MAX_PASSWORD_LENGTH]

## ◆ CredUser

CHAR _HTTP_CREDENTIALS::CredUser[HTTP_CLIENT_MAX_USERNAME_LENGTH]

The documentation for this struct was generated from the following file:

- HTTPClient.h